# Generated by Django 3.2.13 on 2022-06-06 08:13

import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('applications', '0018_auto_20220413_1504'),
    ]

    operations = [
        migrations.CreateModel(
            name='PreRegistration',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('modified_at', models.DateTimeField(auto_now=True, verbose_name='modified at')),
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('folder', models.CharField(max_length=64, null=True, verbose_name='folder')),
                ('document', models.CharField(max_length=64, null=True, verbose_name='document')),
                ('number', models.CharField(max_length=64, null=True, verbose_name='number')),
                ('date', models.DateTimeField(null=True, verbose_name='date')),
                ('tenant_sdc_id', models.UUIDField(verbose_name='tenant SDC ID')),
                ('service_sdc_id', models.UUIDField(verbose_name='service SDC ID')),
                ('application_sdc_id', models.UUIDField(verbose_name='application SDC ID')),
                ('application_state_name', models.CharField(max_length=64, verbose_name='application state name')),
                ('event_sdc_id', models.UUIDField(verbose_name='event SDC ID')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='registration',
            name='folder',
            field=models.CharField(max_length=64, null=True, verbose_name='folder'),
        ),
        migrations.AlterField(
            model_name='registrationevent',
            name='provider',
            field=models.CharField(choices=[('datagraph', 'datagraph'), ('dedagroup', 'dedagroup'), ('halley', 'halley'), ('maggioli', 'maggioli'), ('pitre', 'pitre')], max_length=32, verbose_name='provider'),
        ),
        migrations.AlterField(
            model_name='service',
            name='provider',
            field=models.CharField(choices=[('datagraph', 'datagraph'), ('dedagroup', 'dedagroup'), ('halley', 'halley'), ('maggioli', 'maggioli'), ('pitre', 'pitre')], max_length=32, verbose_name='provider'),
        ),
        migrations.CreateModel(
            name='PitreConfig',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('modified_at', models.DateTimeField(auto_now=True, verbose_name='modified at')),
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('description', models.CharField(blank=True, max_length=128, verbose_name='description')),
                ('is_active', models.BooleanField(verbose_name='active')),
                ('base_url', models.URLField(verbose_name='base URL')),
                ('certificate', models.TextField(verbose_name='certificate')),
                ('username', models.CharField(max_length=32, verbose_name='username')),
                ('code_role', models.CharField(max_length=32, verbose_name='code_role')),
                ('code_application', models.CharField(max_length=32, verbose_name='code_application')),
                ('code_adm', models.CharField(max_length=32, verbose_name='code_adm')),
                ('code_node_classification', models.CharField(max_length=8, verbose_name='code_node_classification')),
                ('transmission_reason', models.CharField(default='TRASM ONLINE', max_length=128, verbose_name='transmission_reason')),
                ('receiver_codes', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=32, verbose_name='receiver_code'), size=None, verbose_name='receiver_codes')),
                ('code_register', models.CharField(max_length=32, verbose_name='code_register')),
                ('means_of_sending', models.CharField(default='SERVIZI ONLINE', max_length=128, verbose_name='means_of_sending')),
                ('code_rf', models.CharField(max_length=8, null=True, verbose_name='code_rf')),
                ('service', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='pitre_configs', to='applications.service', verbose_name='service')),
            ],
        ),
        migrations.AddConstraint(
            model_name='pitreconfig',
            constraint=models.UniqueConstraint(condition=models.Q(('is_active', True)), fields=('service', 'is_active'), name='applications_pitreconfig_unique_service_is_active_true'),
        ),
    ]
